@import "app-variables";
@import "app-mixins";
@import "mixins";

.results {
  align-items: center;
  display: flex;
  flex-direction: column;
  text-align: center;

  &__text {
    margin: 2rem 0;
  }

  &__actions {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
  }

  @include media-breakpoint-up(xxl) {
    
    &__text {
      margin: 4rem 0;
    }
  }
}

.score {
  border: 5px solid map-get($colors, 'text');
  border-radius: 50%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  line-height: 1;
  margin-top: 2rem;
  @include square(16rem);
  @include app-box-shadow;

  &__value {
    font-size: 6rem;
    margin-top: 1rem;
  }

  &__unit {
    font-size: 3rem;
    margin-top: .5rem;
  }

  @include media-breakpoint-up(xxl) {
    margin-top: 4rem;
    @include square(20.5rem);

    &__value {
      font-size: 8rem;
      line-height: 1;
    }

    &__unit {
      font-size: 4rem;
    }
  }
}

.action {
  padding: 1rem;

  @include media-breakpoint-up(xxl) {
    padding: 2rem;

    &:nth-child(2) {
      margin: 0 3rem;
    }
  }
}

